<Note>To delete your transcriptions on our EU server, replace `api.assemblyai.com` with `api.eu.assemblyai.com`.</Note>
Remove the data from the transcript and mark it as deleted.
<Warning>Files uploaded via the `/upload` endpoint are immediately deleted alongside the transcript when you make a DELETE request, ensuring your data is removed from our systems right away.</Warning>
Authentication
Authorizationstring
API Key authentication via header
Path parameters
transcript_idstringRequired
ID of the transcript
Response
The deleted transcript response
audio_urlstringformat: "url"
The URL of the media that was transcribed
auto_highlightsboolean
Whether Key Phrases is enabled, either true or false
idstringformat: "uuid"
The unique identifier of your transcript
language_confidencedouble or null0-1
The confidence score for the detected language, between 0.0 (low confidence) and 1.0 (high confidence). See Automatic Language Detection for more details.
language_confidence_thresholddouble or null
The confidence threshold for the automatically detected language.
An error will be returned if the language confidence is below this threshold.
See Automatic Language Detection for more details.
redact_piiboolean
Whether PII Redaction is enabled, either true or false
statusenum
The status of your transcript. Possible values are queued, processing, completed, or error.
Allowed values:
webhook_authboolean
Whether webhook authentication details were provided
summarizationbooleanDeprecated
Whether [Summarization](https://www.assemblyai.com/docs/speech-understanding/summarization) is enabled, either true or false. Deprecated - use [LLM Gateway](https://www.assemblyai.com/docs/llm-gateway/overview) instead for more flexible summaries. See the [updated Summarization page](https://www.assemblyai.com/docs/speech-understanding/summarization) for details.
Note: This parameter is only supported for the Universal-2 model.
acoustic_modelstringDeprecated
This parameter does not currently have any functionality attached to it.
language_modelstringDeprecated
This parameter does not currently have any functionality attached to it.
speech_modelstring or nullDeprecated
This parameter has been replaced with the speech_models parameter, learn more about the speech_models parameter here.
audio_channelsinteger
The number of audio channels in the audio file. This is only present when multichannel is enabled.
audio_durationinteger or null
The duration of this transcript object's media file, in seconds
The result of the Topic Detection model, if it is enabled.
See Topic Detection for more information.
keyterms_promptlist of strings
Improve accuracy with up to 200 (for Universal-2) or 1000 (for Universal-3 Pro) domain-specific words or phrases (maximum 6 words per phrase). See Keyterms Prompting for more details.
language_codeenum
The language of your audio file.
Possible values are found in Supported Languages.
The default value is ‘en_us’.
language_codeslist of enums or null
The language codes of your audio file. Used for Code switching
One of the values specified must be en.
Tell the speaker label model how many speakers it should attempt to identify. See Set number of speakers expected for more details.
speech_model_usedstring
The speech model that was actually used for the transcription. See Model Selection for available models.
speech_modelslist of strings or null
List multiple speech models in priority order, allowing our system to automatically route your audio to the best available option. See Model Selection for available models and routing behavior.
speech_thresholddouble or null
Defaults to null. Reject audio files that contain less than this fraction of speech.
Valid values are in the range [0, 1] inclusive. See Speech Threshold for more details.
speech_understandingobject
Speech understanding tasks like [Translation](https://www.assemblyai.com/docs/speech-understanding/translation), [Speaker Identification](https://www.assemblyai.com/docs/speech-understanding/speaker-identification), and [Custom Formatting](https://www.assemblyai.com/docs/speech-understanding/custom-formatting). See the task-specific docs for available options and configuration.
An array of temporally-sequential word objects, one for each word in the transcript.
translated_textsobject
Translated text keyed by language code. See Translation for more details.
auto_chaptersboolean or nullDeprecated
Whether [Auto Chapters](https://www.assemblyai.com/docs/speech-understanding/auto-chapters) is enabled, can be true or false. Deprecated - use [LLM Gateway](https://www.assemblyai.com/docs/llm-gateway/overview) instead for more flexible chapter summaries. See the [updated Auto Chapters page](https://www.assemblyai.com/docs/speech-understanding/auto-chapters) for details.
Note: This parameter is only supported for the Universal-2 model.
summarystring or nullDeprecated
The generated summary of the media file, if [Summarization](https://www.assemblyai.com/docs/speech-understanding/summarization) is enabled. Deprecated - use [LLM Gateway](https://www.assemblyai.com/docs/llm-gateway/overview) instead for more flexible summaries. See the [updated Summarization page](https://www.assemblyai.com/docs/speech-understanding/summarization) for details.
summary_modelstring or nullDeprecated
The Summarization model used to generate the summary,
if [Summarization](https://www.assemblyai.com/docs/speech-understanding/summarization#summary-models) is enabled. Deprecated - use [LLM Gateway](https://www.assemblyai.com/docs/llm-gateway/overview) instead for more flexible summaries. See the [updated Summarization page](https://www.assemblyai.com/docs/speech-understanding/summarization) for details.
summary_typestring or nullDeprecated
The type of summary generated, if [Summarization](https://www.assemblyai.com/docs/speech-understanding/summarization#summary-types) is enabled. Deprecated - use [LLM Gateway](https://www.assemblyai.com/docs/llm-gateway/overview) instead for more flexible summaries. See the [updated Summarization page](https://www.assemblyai.com/docs/speech-understanding/summarization) for details.
custom_topicsboolean or nullDeprecated
This parameter does not currently have any functionality attached to it.
speed_boostboolean or nullDeprecated
This parameter does not currently have any functionality attached to it.
topicslist of stringsDeprecated
This parameter does not currently have any functionality attached to it.
To delete your transcriptions on our EU server, replace api.assemblyai.com with api.eu.assemblyai.com.
Remove the data from the transcript and mark it as deleted.
Files uploaded via the /upload endpoint are immediately deleted alongside the transcript when you make a DELETE request, ensuring your data is removed from our systems right away.